Subject: Re: [bug#39136] [PATCH] gnu: services: Add endlessh.

From: Oleg Pykhalov <[email-masked]>
Date: Sat, 25 Jul 2020 23:08:44 +0300

Hi,

That patch was forgotten for some reason, but we still have a succeeded
to build ‘endlessh’ package which missing a service!  :-)

[email-masked] (Nicolò Balzarotti) writes:

> This is my first service :) I know I still miss documentation and tests,
> but before diving into it I wanted a general feedback on it (so that if
> we decide to change something I don't have to adjust the docs and the
> tests twice).

Tests are appreciated ;-)

> Endlessh is already in the repo, but for those who don't know: it's a
> fake ssh server; it should be used to prevent bruteforce attacks and the
> like by "freezing" the connection on the standard port (while the real
> ssh server is on another non-standard port).  So, I don't know if as
> default port should be 22 or, as it is now, 2222 (program's default).

2222 is OK.  But we need this be documented in ‘doc/guix.texi’.  Could
you take a look on this, please?

> My second doubt is regarding the place; it's an ssh server, but its main
> purpose is for security? Maybe should go under admin.scm? I'm not sure

I think gnu/services/ssh.scm is good.

[…]

> +(define-record-type* <endlessh-configuration>
> +  endlessh-configuration make-endlessh-configuration
> +  endlessh-configuration?
> +  ;; list of two symbols, allowed values are ipv4, ipv6 or both
> +  (bind-family endlessh-configuration-bind-family (default '(ipv4 ipv6)))

Please, move ‘(default …)’ things on a separate line.

[…]

Otherwise LGTM.  Could you send an update with a documented service?

Thanks,
Oleg.